<?php
class Controller extends CController {
    public $layout='//layouts/column1';
    public $menu=array();
    public $breadcrumbs=array();
    public function init() {
        $this->registerAssets();
    }
    protected function registerAssets() {
        Yii::app()->clientScript->registerCoreScript('jquery');
        $this->registerJs('webroot.js_plugins.jstree','jquery.jstree.js');
        Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl.'/js_plugins/json2/json2.js');
    }
    protected static function registerCssAndJs($folder,$jsfile,$cssfile) {
        $sourceFolder=YiiBase::getPathOfAlias($folder);
        $publishedFolder=Yii::app()->assetManager->publish($sourceFolder);
        Yii::app()->clientScript->registerScriptFile($publishedFolder.$jsfile,CClientScript::POS_HEAD);
        Yii::app()->clientScript->registerCssFile($publishedFolder.$cssfile);
    }
    protected static function registerJs($folder,$jsfile) {
        $sourceFolder=YiiBase::getPathOfAlias($folder);
        $publishedFolder=Yii::app()->assetManager->publish($sourceFolder);
        Yii::app()->clientScript->registerScriptFile($publishedFolder.'/'.$jsfile);
        return $publishedFolder.'/'.$jsfile;
    }
    public function actionFetchTree($id='admin') {
        $categories=Menu::model()->findAll(array('order'=>'root,lft'));
        $level=0;
        foreach($categories as $n=>$category) {
            if($category->level==$level) 
                echo CHtml::closeTag('li')."\n";
            elseif($category->level>$level) 
                echo CHtml::openTag('ul',array('id'=>'navmenu-v'))."\n";
            else {
                echo CHtml::closeTag('li')."\n";
                for($i=$level-$category->level;$i;$i--) {
                    echo CHtml::closeTag('ul')."\n";
                    echo CHtml::closeTag('li')."\n";
                }
            }
            echo CHtml::openTag('li',array('id'=>'node_'.$category->id,'rel'=>$category->name));
            if($id=='index') 
                echo CHtml::openTag('a',array('href'=>$this->createUrl('/products',array('id'=>$category->id.'-'.$category->name))));
            else 
                echo CHtml::openTag('a',array('href'=>'#'));
            echo CHtml::encode($category->name);
            echo CHtml::closeTag('a');
            $level=$category->level;
        }
        for($i=$level;$i;$i--) {
            echo CHtml::closeTag('li')."\n";
            echo CHtml::closeTag('ul')."\n";
        }
    }
}
